import { AfterViewInit, ChangeDetectorRef, EventEmitter, OnDestroy } from '@angular/core';
import { SkyProgressIndicatorComponent } from '../progress-indicator.component';
import { SkyProgressIndicatorActionClickArgs } from '../types/progress-indicator-action-click-args';
import { SkyProgressIndicatorChange } from '../types/progress-indicator-change';
import { SkyProgressIndicatorNavButtonType } from '../types/progress-indicator-nav-button-type';
import * as i0 from "@angular/core";
/**
 * Displays a button to navigate the steps in modal wizards. We recommend against using it in
 * passive progress indicators and waterfall progress indicators.
 */
export declare class SkyProgressIndicatorNavButtonComponent implements AfterViewInit, OnDestroy {
    #private;
    /**
     * The label to display on the nav button.
     * @default "Next"
     */
    buttonText: string | undefined;
    /**
     * The type of nav button to include.
     * @default "next"
     */
    set buttonType(value: SkyProgressIndicatorNavButtonType | undefined);
    get buttonType(): SkyProgressIndicatorNavButtonType;
    /**
     * Whether to disable the nav button.
     * @default false
     */
    set disabled(value: boolean | undefined);
    get disabled(): boolean | undefined;
    /**
     * The progress indicator component to associate with the nav button.
     * @required
     */
    set progressIndicator(value: SkyProgressIndicatorComponent | undefined);
    get progressIndicator(): SkyProgressIndicatorComponent | undefined;
    /**
     * Fires when users select the nav button and emits a `SkyProgressIndicatorActionClickArgs`
     * object that is passed into the callback function to allow consumers to decide whether
     * the button’s action should complete successfully.
     */
    actionClick: EventEmitter<SkyProgressIndicatorActionClickArgs>;
    set isVisible(value: boolean | undefined);
    get isVisible(): boolean | undefined;
    lastProgressChange: SkyProgressIndicatorChange | undefined;
    constructor(changeDetector: ChangeDetectorRef, parentComponent?: SkyProgressIndicatorComponent);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    onClick(event: MouseEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SkyProgressIndicatorNavButtonComponent, [null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SkyProgressIndicatorNavButtonComponent, "sky-progress-indicator-nav-button", never, { "buttonText": { "alias": "buttonText"; "required": false; }; "buttonType": { "alias": "buttonType"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "progressIndicator": { "alias": "progressIndicator"; "required": false; }; }, { "actionClick": "actionClick"; }, never, never, false, never>;
}
