import { ChangeDetectorRef, EventEmitter, OnDestroy } from '@angular/core';
import { SkyProgressIndicatorComponent } from '../progress-indicator.component';
import * as i0 from "@angular/core";
/**
 * Displays a button to mark all items in the progress indicator as incomplete and set the
 * first item as the active item. The steps after the active item remain incomplete until
 * users reach them in their sequential order.
 */
export declare class SkyProgressIndicatorResetButtonComponent implements OnDestroy {
    #private;
    /**
     * Whether to disable the reset button.
     * @default false
     */
    set disabled(value: boolean | undefined);
    get disabled(): boolean | undefined;
    /**
     * The progress indicator component to associate with the reset button.
     * @required
     */
    progressIndicator: SkyProgressIndicatorComponent | undefined;
    /**
     * Fires when users select the reset button that marks all items as incomplete and sets the
     * first item as the active item.
     */
    resetClick: EventEmitter<void>;
    constructor(changeDetector: ChangeDetectorRef);
    ngOnDestroy(): void;
    onClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SkyProgressIndicatorResetButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SkyProgressIndicatorResetButtonComponent, "sky-progress-indicator-reset-button", never, { "disabled": { "alias": "disabled"; "required": false; }; "progressIndicator": { "alias": "progressIndicator"; "required": false; }; }, { "resetClick": "resetClick"; }, never, ["*"], false, never>;
}
