import { HarnessPredicate } from '@angular/cdk/testing';
import { SkyComponentHarness } from '@skyux/core/testing';
import { SkyProgressIndicatorFilters } from './progress-indicator-harness-filters';
import { SkyProgressIndicatorItemHarness } from './progress-indicator-item-harness';
import { SkyProgressIndicatorItemFilters } from './progress-indicator-item-harness-filters';
/**
 * Harness for interacting with a progress indicator component in tests.
 */
export declare class SkyProgressIndicatorHarness extends SkyComponentHarness {
    #private;
    /**
     * @internal
     */
    static hostSelector: string;
    /**
     * Gets a `HarnessPredicate` that can be used to search for a
     * `SkyProgressIndicatorHarness` that meets certain criteria.
     */
    static with(filters: SkyProgressIndicatorFilters): HarnessPredicate<SkyProgressIndicatorHarness>;
    /**
     * Clicks the reset button.
     */
    clickResetButton(): Promise<void>;
    /**
     * Gets a specific progress indicator item that meets certain criteria.
     */
    getItem(filter: SkyProgressIndicatorItemFilters): Promise<SkyProgressIndicatorItemHarness>;
    /**
     * Gets an array of all progress indicator items.
     */
    getItems(filters?: SkyProgressIndicatorItemFilters): Promise<SkyProgressIndicatorItemHarness[]>;
    /**
     * Gets the progress indicator title.
     */
    getTitle(): Promise<string>;
    /**
     * Whether the progress indicator is passive.
     */
    isPassive(): Promise<boolean>;
}
