import { HarnessPredicate } from '@angular/cdk/testing';
import { SkyComponentHarness } from '@skyux/core/testing';
import { SkyProgressIndicatorItemFilters } from './progress-indicator-item-harness-filters';
/**
 * Harness for interacting with a progress indicator item component in tests.
 */
export declare class SkyProgressIndicatorItemHarness extends SkyComponentHarness {
    #private;
    /**
     * @internal
     */
    static hostSelector: string;
    /**
     * Gets a `HarnessPredicate` that can be used to search for a
     * `SkyProgressIndicatorItemHarness` that meets certain criteria
     */
    static with(filters: SkyProgressIndicatorItemFilters): HarnessPredicate<SkyProgressIndicatorItemHarness>;
    /**
     * Clicks the help inline button.
     */
    clickHelpInline(): Promise<void>;
    /**
     * Gets the help inline popover content.
     */
    getHelpPopoverContent(): Promise<string | undefined>;
    /**
     * Gets the help inline popover title.
     */
    getHelpPopoverTitle(): Promise<string | undefined>;
    /**
     * Gets the progress indicator item's title text.
     */
    getTitle(): Promise<string>;
    /**
     * Whether the indicator item step is completed.
     */
    isCompleted(): Promise<boolean>;
}
